* {
  padding: 0;
  margin: 0;
  font-family: "Roboto Mono", monospace;
}

html,
body {
  display: flex;
  flex-direction: column;
  align-items: center;
  background-color: #b0c4de;
  background-image:
    linear-gradient(rgba(0, 0, 0, 0.05) 1px, transparent 1px),
    linear-gradient(90deg, rgba(0, 0, 0, 0.05) 1px, transparent 1px);
  background-size: 32px 32px;
}

header {
  text-align: center;
  margin: 10px;
}

#guess {
  font-size: xx-large;
}

#menu {
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  text-align: center;
  align-items: center;
  width: max-content;
  min-height: 50px;
}

h1 {
  margin: 10px;
}

#info {
  max-width: 500px;
}

p {
  margin: 10px;
}

#gameBoard_UI {
  margin: 10px;
  display: flex;
  flex-direction: row;
  align-items: center;
}

#gameBoard_UI:hover {
  cursor: crosshair;
}

.cell {
  height: 14px;
  width: 14px;
  background-color: white;
}

.alive {
  background-color: dimgrey;
}

.hidden {
  display: none !important;
}

.notShown {
  visibility: hidden;
}

.bad {
  color: red;
}

button {
  width: 90px;
  height: 35px;
  margin-left: 7px;
  margin-right: 7px;
}

.shadowBox {
  box-shadow: 2px 4px 8px 2px rgba(0, 0, 0, 0.2),
    0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.animation {
  display: inline-block;
  position: relative;
  width: 80px;
  border: none !important;
}

.animation div {
  position: absolute;
  top: 5px;
  width: 13px !important;
  height: 13px !important;
  border-radius: 50%;
  background: black !important;
  animation-timing-function: cubic-bezier(0, 1, 1, 0);
}

.animation div:nth-child(1) {
  left: 10px;
  animation: animation1 0.6s infinite;
}

.animation div:nth-child(2) {
  left: 10px;
  animation: animation2 0.6s infinite;
}

.animation div:nth-child(3) {
  left: 32px;
  animation: animation2 0.6s infinite;
}

.animation div:nth-child(4) {
  left: 56px;
  animation: animation3 0.6s infinite;
}

@keyframes animation1 {
  0% {
    transform: scale(0);
  }

  100% {
    transform: scale(1);
  }
}

@keyframes animation3 {
  0% {
    transform: scale(1);
  }

  100% {
    transform: scale(0);
  }
}

@keyframes animation2 {
  0% {
    transform: translate(0, 0);
  }

  100% {
    transform: translate(24px, 0);
  }
}

#homeIcon {
  position: absolute;
  top: 5vh;
  left: 6vw;
  width: 60px;
  height: 60px;
  transition: 1.5s;
  background-color: transparent;
  z-index: 10;
}

#homeIcon:hover {
  transform: translateY(-5px);
}
